question

Upvotes
Accepted
3 0 1 2

RFA Java 7.x version compatible with Open JDK 1.17

Hi,

We have our custom applications which use RFA Java 7.7.1.L2 to collect data from and post data to Reuters.

What is the latest version of 7.x and is it compatible with Open JDK 1.17 ?

Thanks in advance!

#productrfajava
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

· Write an Answer
Upvotes
Accepted
82.3k 277 53 77

@applicationsupport

Thank you for reaching out to us.

I checked the API compatibility matrix and found that RFA Java 7.X doesn't support Open JDK 1.17.x. The APIs that support Open JDK 1.17.x are:

  • EMA Java 3.6.X and newer
  • ETA Java 3.6.X and newer
  • RFA Java 8.2.X & newer (OMM)

For more information, you can access the API compatibility matrix from here.

The latest version of RFA Java 7.x is rfaj7.8.1.L2. Moreover, according to this PCN206364, all RFA 7.X will be end of life on 28 Feb 2026.

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Thank you Jirapongse.

Can we just update the 8.x library or there is changes in the way RFA API is used?

A migration guide will be helpful.

Regards!

Jirapongse avatar image Jirapongse applicationsupport
This question has been answered on this discussion.

Write an Answer

Hint: Notify or tag a user in this post by typing @username.

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.